這個外掛並未在最新的 3 個 WordPress 主要版本上進行測試。開發者可能不再對這個外掛進行維護或提供技術支援,並可能會與更新版本的 WordPress 產生使用上的相容性問題。

Academic Blogger's Toolkit

描述

FULLY SUPPORTS THE NEW BLOCK EDITOR!

Academic Blogger’s toolkit is an open source WordPress plugin providing an all-in-one solution for effective academic blogging.

This README page is not kept up to date!

For a constaintly updated, exhaustively detailed, introduction to this plugin and all its features, please visit the plugin’s GitHub Repository.

To dive right into the documentation, check out the Academic Blogger’s Toolkit Wiki!

Features

  • Insert formatted references on the fly using PMID, DOI (CrossRef, DataCite, & mEDRA), URL, or ISBN.
  • Manually insert formatted references from over 15 types of references.
  • Import a full bibliography from your favorite reference manager using an exported .ris file.
  • Automatically format references for every citation style on planet earth.
  • Fully interactive reference list which lives beside the post editor.
  • Insert and manager footnotes in the editor automatically.
  • Inline citations display full formatted references on the frontend when hovered with the mouse (or when tapped on mobile). No more scrolling down and losing your focus!

Contributing

If you’re a developer and would like to contribute, you can do so via this plugin’s GitHub Repository.

螢幕截圖

  • Overview of the reference manager screen.
  • Overview of the manual reference insertion screen.
  • Citation tooltips.

評價

2020年11月27日
I have not edited references on my blog since before the block editor. Now I have uninstalled and reinstalled academic toolkit and am trying to use it with the block editor. The user interface shows the bar starting with Add Reference and ending with three dots, but the bar (a-d) for inserting references is not shown. I have not found any way to insert a reference. I have 1296 items in my list of uncited references and I can select the one I want to insert. I just cannot get it to insert into the block where my cursor is located. Thanks in advance for your help!
2020年3月12日
I did not use this plugin, because I was dissuaded from its use by the author's comments on this (very good) exchange (https://wordpress.org/support/topic/if-you-want-what-it-does-super-but-only-then/). Why am I leaving this review? I want the author to know that for a segment of the population, his design choices leave some of us to find other solutions. I design scientific software for a living, and I would appreciate the comments that I will make here. I can't imagine having any citation application where the citations are not stored in a database. There is a lot to unpack on that post and I suggest others read it before they download this package. Also, it does contain this ironic gem: "The overall UX of this forum is horrendous." In short, the author's rigid design choices cause his userbase to segment (to what degree, I can't say). I would like to thank him for his forthright description in this referenced post. I would suggest that he make it a sticky or change it into a FAQ. It actually saved me a ton of time, because I almost installed the plugin. Before we finish, yes I gave it two stars. I started at three to be neutral; however, your attitude to your users seems combative (and that warrants the downgrade).
2019年11月27日
Far better than anything else I've tried. Astonishingly rich in features, yet simple UI. Well thought out and very well done. Thank you
2019年10月8日
the classic editor plugin has 5+ Million Active Installations. There is no other plugin that has more installations. How can you possibly justify disabling support for it? Very bad decision.
閱讀全部27個評價

貢獻者及開發者

“Academic Blogger's Toolkit” 是一個開源的軟體。以下的人對這個外掛作出了貢獻。

貢獻者

Academic Blogger's Toolkit 外掛目前已有 3 個本地化語言版本。 感謝所有譯者為這個外掛做出的貢獻。

將 Academic Blogger's Toolkit 外掛本地化為台灣繁體中文版。

對開發相關資訊感興趣?

任何人均可瀏覽程式碼、查看 SVN 存放庫,或透過 RSS 訂閱開發記錄

修改日誌

5.2.2

Patches

  • Bump minimum required WordPress version to 5.3.

Note: If you updated to 5.2.1 already yesterday and are affected by the bug introduced, either install the gutenberg plugin temporarily until WordPress 5.3 is released, OR roll back to version 5.2.0.

See the previous changelogs here.